using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace WarehouseAppSHIPS.Migrations
{
    /// <inheritdoc />
    public partial class TabelOpname : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "SystemQty",
                table: "StockOpnames",
                newName: "SystemStock");

            migrationBuilder.RenameColumn(
                name: "PhysicalQty",
                table: "StockOpnames",
                newName: "PhysicalStock");

            migrationBuilder.AddColumn<string>(
                name: "Remarks",
                table: "StockOpnames",
                type: "nvarchar(255)",
                maxLength: 255,
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Remarks",
                table: "StockOpnames");

            migrationBuilder.RenameColumn(
                name: "SystemStock",
                table: "StockOpnames",
                newName: "SystemQty");

            migrationBuilder.RenameColumn(
                name: "PhysicalStock",
                table: "StockOpnames",
                newName: "PhysicalQty");
        }
    }
}
